CVE-2020-35605

NameCVE-2020-35605
DescriptionThe Graphics Protocol feature in graphics.c in kitty before 0.19.3 allows remote attackers to execute arbitrary code because a filename containing special characters can be included in an error message.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4819-1
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
kitty (PTS)buster0.13.3-1vulnerable
buster (security)0.13.3-1+deb10u1fixed
bullseye, sid0.19.3-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
kittysourcebuster0.13.3-1+deb10u1DSA-4819-1
kittysource(unstable)0.19.3-1

Notes

https://github.com/kovidgoyal/kitty/commit/82c137878c2b99100a3cdc1c0f0efea069313901 (v0.19.3)
https://github.com/kovidgoyal/kitty/issues/3128

Search for package or bug name: Reporting problems